@Scope(value="request")
@Path(value="/{path: (.+/)?}fcr:acl")
public class FedoraAcl
extends ContentExposingResource
| Modifier and Type | Field and Description |
|---|---|
protected String |
externalPath |
protected javax.ws.rs.core.Request |
request |
static String |
ROOT_AUTHORIZATION_PROPERTY |
protected javax.servlet.http.HttpServletResponse |
servletResponse |
protected javax.ws.rs.core.UriInfo |
uriInfo |
ACCEPT_DATETIME, context, extContentHandlerFactory, lockManager, namespaceRegistry, prefer, RFC3230_SPLITTERidTranslator, securityContext, sessionbinaryService, containerService, defaultPidMinter, headers, nodeService, pidMinter, versionService| Constructor and Description |
|---|
FedoraAcl()
Default JAX-RS entry point
|
| Modifier and Type | Method and Description |
|---|---|
javax.ws.rs.core.Response |
createFedoraWebacAcl(javax.ws.rs.core.MediaType requestContentType,
InputStream requestBodyStream)
PUT to create FedoraWebacACL resource.
|
javax.ws.rs.core.Response |
deleteObject()
Deletes an object.
|
protected String |
externalPath() |
static org.apache.jena.rdf.model.Model |
getDefaultAcl(String baseUri)
Retrieve the default root ACL from a user specified location if it exists,
otherwise the one provided by Fedora will be used.
|
javax.ws.rs.core.Response |
getResource(String rangeValue)
GET to retrieve the ACL resource.
|
javax.ws.rs.core.Response |
updateSparql(InputStream requestBodyStream)
PATCH to update an FedoraWebacACL resource using SPARQL-UPDATE
|
addCacheControlHeaders, addExternalContentHeaders, addLinkAndOptionsHttpHeaders, addResourceHttpHeaders, buildLink, checkCacheControlHeaders, checkForInsufficientStorageException, checksumURI, createUpdateResponse, evaluateRequestPreconditions, getBinaryResourceMediaType, getChildrenLimit, getContent, getResourceTriples, getSimpleContentType, getUri, hasRestrictedPath, isRdfContentType, parseDigestHeader, patchResourcewithSparql, postConstruct, replaceResourceBinaryWithStream, replaceResourceWithStream, resource, setVaryAndPreferenceAppliedHeaders, unpackLinksasNode, getResourceFromPath, getUserPrincipal, setUpJMSInfo, translatortoPathpublic static final String ROOT_AUTHORIZATION_PROPERTY
@Context protected javax.ws.rs.core.Request request
@Context protected javax.servlet.http.HttpServletResponse servletResponse
@Context protected javax.ws.rs.core.UriInfo uriInfo
@PathParam(value="path") protected String externalPath
public FedoraAcl()
@PUT public javax.ws.rs.core.Response createFedoraWebacAcl(@HeaderParam(value="Content-Type") javax.ws.rs.core.MediaType requestContentType, InputStream requestBodyStream)
requestContentType - The content type of the resource bodyrequestBodyStream - The request body as stream@Consumes(value="application/sparql-update") public javax.ws.rs.core.Response updateSparql(InputStream requestBodyStream) throws IOException, javax.jcr.ItemNotFoundException
requestBodyStream - the request body streamIOException - if IO exception occurredjavax.jcr.ItemNotFoundExceptionprotected String externalPath()
externalPath in class ContentExposingResource@GET
@Produces(value={"text/turtle;charset=utf-8;qs=1.0","application/ld+json;qs=0.8","text/rdf+n3;charset=utf-8","text/n3;charset=utf-8","application/rdf+xml","application/n-triples","text/plain;charset=utf-8","application/x-turtle","text/html;charset=utf-8"})
public javax.ws.rs.core.Response getResource(@HeaderParam(value="Range")
String rangeValue)
throws IOException,
javax.jcr.ItemNotFoundException
rangeValue - the range valueIOException - if IO exception occurredjavax.jcr.ItemNotFoundException@DELETE public javax.ws.rs.core.Response deleteObject() throws javax.jcr.ItemNotFoundException
javax.jcr.ItemNotFoundExceptionpublic static org.apache.jena.rdf.model.Model getDefaultAcl(String baseUri)
baseUri - the URI of the default ACLCopyright © 2013–2019 DuraSpace, Inc.. All rights reserved.